%global engine_name solidity

Name:           gtk-solidity-engine
Version:        0.4.1
Release:        7%{?dist}
Summary:        Solidity Gtk+ theming engine

Group:          User Interface/Desktops
License:        GPLv3+
URL:            http://gnome-look.org/content/show.php/solidity+gtk3+engine?content=142331
Source0:        http://gnome-look.org/CONTENT/content-files/142331-%{engine_name}-%{version}.tar.bz2
Source1:        http://www.gnu.org/licenses/gpl.txt

BuildRequires:  gtk3-devel >= 3.2
BuildRequires:  vala

%description
Solidity Gtk+ theming engine


%prep
%setup -q -c

%build
cp %{SOURCE1} COPYING
cd source/gtk3
valac --pkg=gmodule-2.0 --pkg=gtk+-3.0 -C solidity.vala
gcc %{optflags} -shared -fPIC `pkg-config --cflags --libs glib-2.0 gmodule-2.0 gtk+-3.0` -o libsolidity.so solidity.c

%install
mkdir -p $RPM_BUILD_ROOT%{_datadir}/themes
cp -R -p themes/* $RPM_BUILD_ROOT%{_datadir}/themes
mkdir -p $RPM_BUILD_ROOT%{_libdir}/gtk-3.0/3.0.0/theming-engines/
cd source/gtk3
install -p libsolidity.so $RPM_BUILD_ROOT%{_libdir}/gtk-3.0/3.0.0/theming-engines/libsolidity.so

%files
%doc COPYING
%{_libdir}/gtk-3.0/3.0.0/theming-engines/libsolidity.so
%{_datadir}/themes/*

%changelog
* Sat Aug 16 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.1-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Jan 23 2013 Mario Blättermann <mariobl@fedoraproject.org> - 0.4.1-3
- Added license file and change license to GPLv3+

* Thu Dec 27 2012 Mario Blättermann <mariobl@fedoraproject.org> - 0.4.1-2
- Make sure the debuginfo package has valuable content

* Wed Dec 19 2012 Mario Blättermann <mariobl@fedoraproject.org> - 0.4.1-1
- Initial RPM release
